﻿@using WebApplication_StudentManagement_PrizeTest.Models;
@model IEnumerable<StudentViewModel>
@{
    ViewBag.Title = "Student";
}
<hr />
<h4>Capture Student</h4>
<div id="StudentPartialViewDiv">
    @Html.Action("Create", "Student")
</div>
<hr />
<h4>Students</h4>
<table  class="table table-bordered" cellpadding="0" cellspacing="0" id="StudentGrid">
    <tr>
        <th>Student Id</th>
        <th>First Name</th>
        <th>Surname</th>
        <th>Email Address</th>
        <th>ID Number</th>
    </tr>
    @foreach (StudentViewModel student in Model)
    {
        <tr>
            <td>@student.StudentId</td>
            <td>@student.FirstName</td>
            <td>@student.Surname</td>
            <td>@student.EmailAddress</td>
            <td>@student.IDNumber</td>
        </tr>
    }
</table>
<div>
    @Html.ActionLink("Back", "Index", "Home")
</div>

<script>
    function onAddStudentAdded_callback(args)
    {
        if (args.success) {
            window.location.reload();
        }
        AjaxOnSuccess(args);
    }
</script>